#!/bin/bash
# Naive setup

PATH=/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin:/usr/local:~/bin
export PATH

cat > file <<EOF
:443, ${1} # 域名
tls ${2} # 你的邮箱
route {
 forward_proxy {
   basic_auth ${3} ${4} # 用户名和密码
   hide_ip
   hide_via
   probe_resistance
  }
 reverse_proxy  ${5}  { # 伪装网址
   header_up  Host  {upstream_hostport}
   header_up  X-Forwarded-Host  {host}
  }
}
EOF
